LISTW_REGISTER_ATT_NOTIFY_FUNC(3)

EXPERIMENTAL_FUNC
listw_register_att_notify_func - Register an attribute change function.

SYNOPSIS
#include <karma_listw.h>

KCallbackFunc listw_register_att_notify_func

(KListWidget list, void (*func) (), void *info)

DESCRIPTION
This routine will register an attribute notify function for a list widget. The attribute notify function will be called whenever the list widget attributes are changed (see <-listw_set_attributes->). Many attribute notify functions may be registered per list widget. The first function registered is the first function called upon attribute changes.

list
    The list widget.

func
    The function which is called when the attributes are changed. The prototype function is <-listw_PROTO_att_notify_func->.

info
    The initial arbitrary information pointer.

RETURN VALUE
A KCallbackFunc object.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/